# Snippeteer

## Installation

to work with the @scode scope you have to add the following line to your npmrc.
for this particular one you'll have to add it to the global npmrc stored in your home folder (~/.npmrc)

```npmrc
@scode:registry=https://npm.scode.ovh
```

then install the module using the following command

```sh
npm i -g @scode/snippeteer
```

## Usage

```sh
snippeteer [snippet] [..args]
```

All snippets will be executed relative to your current working directory!

## Snippets

### Snippet

Creates a new snippet template

```sh
snippeteer snippet [name]
```

### Node

Creates a new nodejs project

```sh
snippeteer node [name]
```

### Jenkins

Adds files necessary for jenkins

optionally with a js script for npm modules by adding 'node' as argument

```sh
snippeteer jenkins [node]
```

### Vue

Adds files, dependencies and scripts for vue to a nodejs project

```sh
snippeteer vue
```
